%define oname   sync

Name:       ruby-%{oname}
Version:    0.5.0
Release:    %mkrel 3
Summary:    A module that provides a two-phase lock with a counter
License:    BSD-2-Clause
Group:      Development/Ruby
URL:        https://github.com/ruby/sync
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
A module that provides a two-phase lock with a counter.

%files
%{gem_instdir}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc

%doc %{gem_docdir}

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.5.0-3.mga10
+ Revision: 2211271
- Mageia 10 Mass Rebuild

* Fri Mar 25 2022 umeabot <umeabot> 0.5.0-2.mga9
+ Revision: 1826890
- Mageia 9 Mass Rebuild

* Mon Nov 02 2020 pterjan <pterjan> 0.5.0-1.mga8
+ Revision: 1641806
- imported package ruby-sync

